Package javax.validation

# Interface ValidatorContext

public interface ValidatorContext

Version:
  $Rev$ $Date$

## Method Summary

Modifier and Type
Method
Description
`ValidatorContext`
`constraintValidatorFactory(ConstraintValidatorFactory factory)`
`Validator`
`getValidator()`
`ValidatorContext`
`messageInterpolator(MessageInterpolator messageInterpolator)`
`ValidatorContext`
`parameterNameProvider(ParameterNameProvider parameterNameProvider)`
`ValidatorContext`
`traversableResolver(TraversableResolver traversableResolver)`

## Method Details

### messageInterpolator

ValidatorContext messageInterpolator(MessageInterpolator messageInterpolator)

### traversableResolver

ValidatorContext traversableResolver(TraversableResolver traversableResolver)

### constraintValidatorFactory

ValidatorContext constraintValidatorFactory(ConstraintValidatorFactory factory)

### getValidator

Validator getValidator()

### parameterNameProvider

ValidatorContext parameterNameProvider(ParameterNameProvider parameterNameProvider)

Since:
  1.1